var path = require('path');
var fs = require('fs');
var assert = require('assert');

var test = require('tape');

var gulp = require('gulp')
  , util = require('gulp-util')
  , gulpSass = require('../')
  , nodeSass = require('node-sass');
  ;

var includePaths = ['scss/', 'scss/includes']

gulp.src('./scss/*.scss')
    .pipe(gulpSass({includePaths: includePaths}))
    .pipe(util.buffer(tapeTester));

function tapeTester(err, files) {
  assert(!err, 'There was an error.');
  files.forEach(function (item) {
    var fileBaseName = path.basename(item.path, '.css');
    test('Testing: ' + fileBaseName, function (t) {
      var ref = nodeSass.renderSync({
        data: fs.readFileSync('./scss/' + fileBaseName + '.scss').toString(),
        includePaths: includePaths
      });
      t.equal(item.contents.toString(), ref);
      t.end();
    })
  });
}